# PATCH /control/v1/teams/me

> UpdateMe

- `operationId`: `ControlV1TeamsMeUpdateMe`
- Group: [Teams](https://sference.com/docs/api-reference/teams.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/teams/ControlV1TeamsMeUpdateMe

## Request body (required)

Content type `application/json`. Schema: `TeamUpdateRequest`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `zero_data_retention_enabled` | boolean \| null | no | — | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `TeamMeResponse`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `id` | string | yes | — | — |
| `name` | string | yes | — | — |
| `email_domain` | string \| null | no | — | — |
| `role` | string | yes | — | — |
| `zero_data_retention_enabled` | boolean | no | default `false` | — |
| `members` | array<TeamMemberItem> \| null | no | — | — |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/teams/ControlV1TeamsMeUpdateMe
